From 080abd3cfc5f0b1a773964a83576d8a8634e3d16 Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Tue, 4 Jun 2019 15:01:33 +0200
Subject: [PATCH] New package: gajim-omemo-2.6.29

---
 srcpkgs/gajim-omemo/template | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
 create mode 100644 srcpkgs/gajim-omemo/template

diff --git a/srcpkgs/gajim-omemo/template b/srcpkgs/gajim-omemo/template
new file mode 100644
index 00000000000..803f94713be
--- /dev/null
+++ b/srcpkgs/gajim-omemo/template
@@ -0,0 +1,20 @@
+# Template file for 'gajim-omemo'
+pkgname=gajim-omemo
+version=2.6.29
+revision=1
+wrksrc="omemo"
+hostmakedepends="unzip"
+depends="python3 python3-setuptools python3-cryptography python3-axolotl python3-qrcode"
+short_desc="Gajim plugin for OMEMO Encryption"
+maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
+license="GPL-3.0-or-later"
+homepage="https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin"
+distfiles="https://ftp.gajim.org/plugins_releases/${pkgname#gajim-}_${version}.zip"
+checksum=f1ed4690080cd10983135c206b8b5ef62b4aa28dd21a5cf1c294f59d272e2ed6
+
+
+do_install() {
+	rm CHANGELOG COPYING
+	install -d "${DESTDIR}/${py3_sitelib}/gajim/data/plugins/${pkgname#gajim-}"
+	cp -r * "${DESTDIR}/${py3_sitelib}/gajim/data/plugins/${pkgname#gajim-}"
+}
